com.jogamp.gluegen

## Class ConstantDefinition

- java.lang.Object
- - com.jogamp.gluegen.ConstantDefinition

-     public class ConstantDefinition
      extends Object

  Represents the definition of a constant which was provided either via a #define statement or through an enum definition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstantDefinition(String name, String value, boolean isEnum, String enumName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAlias(String alias)`
    `void` | `addAliasedName(String name)`
    `boolean` | `equals(ConstantDefinition other)`
    `Collection<String>` | `getAliasedNames()`
    `Set<String>` | `getAliases()`
    `String` | `getEnumName()` Returns null if this definition was not part of an enumeration, or if the enum was anonymous.
    `String` | `getName()`
    `String` | `getOrigName()`
    `String` | `getValue()`
    `int` | `hashCode()`
    `boolean` | `isEnum()`
    `void` | `rename(String name)` Supports renaming in Java binding.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantDefinition

          public ConstantDefinition(String name,
                            String value,
                            boolean isEnum,
                            String enumName)

  - ### Method Detail

    - #### equals

          public boolean equals(ConstantDefinition other)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### rename

          public void rename(String name)

      Supports renaming in Java binding.

    - #### addAliasedName

          public void addAliasedName(String name)

    - #### getAliasedNames

          public Collection<String> getAliasedNames()

    - #### getOrigName

          public String getOrigName()

    - #### getName

          public String getName()

    - #### getValue

          public String getValue()

    - #### getEnumName

          public String getEnumName()

      Returns null if this definition was not part of an enumeration, or if the enum was anonymous.

    - #### isEnum

          public boolean isEnum()

    - #### getAliases

          public Set<String> getAliases()

    - #### addAlias

          public void addAlias(String alias)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`